#ifndef __CONFIG_HPP__
#define __CONFIG_HPP__

#include <SDL/SDL.h>
#include <iostream>
using namespace std;

const int SCREEN_ROWS = 480;
const int SCREEN_COLS = 640;

const int BOARD_WALL = 0;
const int BOARD_PELLET = 1;
const int BOARD_EMPTY = 2;


const int SPRITE_SIZE = 20;

enum GAME_STATE { GAME_STATE_TITLE, 
		  GAME_STATE_PLAY, 
		  GAME_STATE_LOSE,
		  GAME_STATE_WIN,
		  GAME_STATE_QUIT };


#endif // __CONFIG_HPP__
