#ifndef __GHOST_HPP__
#define __GHOST_HPP__

#include "config.hpp"
#include "world.hpp"
#include "player.hpp"

class Ghost{
public:
  Ghost();
  Ghost(double r, double c);
  ~Ghost();

  void initialize();
  void update(World &board, Player &pacman);
  void renderSDL(SDL_Surface *screen);

  double getRow() { return pos_r; }
  double getCol() { return pos_c; }

private:

  double pos_r;
  double pos_c;

  SDL_Surface *sprite;
};

#endif // __GHOST_HPP__
