#ifndef _SHOOTER_H_
#define _SHOOTER_H_

class shooter  : public monster
{
public:
	shooter(coord xy)
	{
		this->initialize();
		this->loadAnimation();
		this->_pos=xy;
		this->dead=true;
	}

	virtual bool loadAnimation()
	{
		this->_maxAnimation=4; //how many animations are there run/jump
		this->_numFrames=new int[this->_maxAnimation]; //number of frames in animation

		this->_numFrames[0]=2; //wallk
		this->_numFrames[1]=1; //idle
		this->_numFrames[2]=1; //die
		this->_numFrames[3]=2; //shoot

		this->_animation=new imgContainer[this->_maxAnimation];  
		for(int _state=0; _state<this->_numFrames[_state]; _state++)
		{
			this->_animation[_state].sprite==new SDL_Surface*[this->_numFrames[_state]];
			this->_animation[_state].isCopy=false;
		}

		//idle
		this->loadCell(1,0,SHOOTER0_IDLE0);
		//run
		this->loadCell(0,0,SHOOTER0_WALK0);
		this->loadCell(0,1,SHOOTER0_WALK1);
		//shoot
		this->loadCell(3,0,SHOOTER0_SHOOT0);
		this->loadCell(3,1,SHOOTER0_SHOOT1);
		//die
		this->loadCell(2,0,SHOOTER0_DIE0);
		return true;
	}
};

#endif