#ifndef _FUNCTIONS_H_
#define _FUNCTIONS_H_

void generate()
{
	gp[1]=new GamePiece(coord(500,500));
	gp[0]=new World(coord(0,0));
}

void init()
{
	if ( SDL_Init(SDL_INIT_TIMER|SDL_INIT_AUDIO|SDL_INIT_VIDEO) < 0 ) 
	{
        fprintf(stderr, "Unable to init SDL: %s\n", SDL_GetError());
        exit(1);
    }
    atexit(SDL_Quit);

	
	screen = SDL_SetVideoMode(WIDTH, HEIGHT, 32, SDL_HWSURFACE|SDL_DOUBLEBUF|SDL_HWACCEL);//|SDL_FULLSCREEN);
	if ( screen == NULL ) 
	{
	    fprintf(stderr, "Unable to set 640x480 video: %s\n", SDL_GetError());
	    exit(1);
	}
	SDL_WM_SetCaption("ZombiNES", 0);

	SDL_Init( SDL_INIT_EVERYTHING ); 

	generate();

}

void mainLoop()
{
	while (state != GAME_STATE_QUIT) 
	{
		switch (state) 
		{

			case GAME_STATE_TITLE:
				//state = titleScreen(screen);
				break;

		    case GAME_STATE_WIN:
				//state = winScreen(screen);
				break;

			case GAME_STATE_LOSE:
				//state = loseScreen(screen);
				break;

			case GAME_STATE_PLAY:
				state = gameLoop();
				break;

			default:
				state = GAME_STATE_QUIT;
				break;
		}
	}
}

#endif