#ifndef _AMMO_H_
#define _AMMO_H_

class ammo  : public GamePiece
{
public:
	bool stopx;
	bool stopy;
	bool adjust;

	ammo()
	{
		this->initialize();
		this->loadAnimation();
	}
	ammo(coord xy)
	{
		this->initialize();
		this->loadAnimation();
		this->_pos=xy;
	}

	virtual bool loadAnimation()
	{
		this->_maxAnimation=1; //how many animations are there run/jump
		this->_numFrames=new int[this->_maxAnimation]; //number of frames in animation

		this->_numFrames[0]=4; //fireball

		this->_animation=new imgContainer[this->_maxAnimation];  
		for(int _state=0; _state<this->_numFrames[_state]; _state++)
		{
			this->_animation[_state].sprite==new SDL_Surface*[this->_numFrames[_state]];
			this->_animation[_state].isCopy=false;
		}

		//shot animation for fireball
		this->loadCell(0,0,FIREBALL_0);
		this->loadCell(0,1,FIREBALL_1);
		this->loadCell(0,2,FIREBALL_2);
		this->loadCell(0,3,FIREBALL_3);
		return true;
	}

	virtual void UpdateAnimation()
	{
		static unsigned int animticks=SDL_GetTicks();
		if((SDL_GetTicks()-animticks)>100)
		{
			animticks=SDL_GetTicks();
			//printf("Anim: %d Frame: %d\n",this->_curAnimation, this->_curFrame);
			if(this->_curFrame<this->_numFrames[this->_curAnimation])
			{
				this->_curFrame++;
			}
			if(this->_curFrame>=this->_numFrames[this->_curAnimation])
			{
				this->_curFrame=0;
			}			
		}
	}
};

#endif