#ifndef _ATTACKER_H_
#define _ATTACKER_H_

class attacker  : public monster
{
public:
	attacker(coord xy)
	{
		this->initialize();
		this->loadAnimation();
		this->_pos=xy;
		this->dead=true;
	}

	virtual bool loadAnimation()
	{
		this->_maxAnimation=4; //how many animations are there run/jump
		this->_numFrames=new int[this->_maxAnimation]; //number of frames in animation

		this->_numFrames[0]=3; //idle
		this->_numFrames[1]=1; //run
		this->_numFrames[2]=3; //die
		this->_numFrames[3]=2; //attack

		this->_animation=new imgContainer[this->_maxAnimation];  
		for(int _state=0; _state<this->_numFrames[_state]; _state++)
		{
			this->_animation[_state].sprite==new SDL_Surface*[this->_numFrames[_state]];
			this->_animation[_state].isCopy=false;
		}

		//idle
		this->loadCell(1,0,ATTACKER0_IDLE0);
		
		//run
		this->loadCell(0,0,ATTACKER0_WALK0);
		this->loadCell(0,1,ATTACKER0_WALK1);
		this->loadCell(0,2,ATTACKER0_WALK2);
		this->loadCell(0,3,ATTACKER0_WALK3);

		//die
		this->loadCell(2,0,ATTACKER0_DIE0);
		this->loadCell(2,1,ATTACKER0_DIE1);
		this->loadCell(2,2,ATTACKER0_DIE2);

		//sword
		this->loadCell(3,0,ATTACKER0_SWORD0);
		this->loadCell(3,1,ATTACKER0_SWORD1);
		return true;
	}
};

#endif