#ifndef _CRAWLER_H_
#define _CRAWLER_H_

class crawler  : public monster
{
public:
	crawler(coord xy)
	{
		this->initialize();
		this->loadAnimation();
		this->_pos=xy;
		this->dead=true;
	}

	virtual bool loadAnimation()
	{
		this->_maxAnimation=5; //how many animations are there run/jump
		this->_numFrames=new int[this->_maxAnimation]; //number of frames in animation

		this->_numFrames[0]=3; //idle
		this->_numFrames[1]=1; //runstart
		this->_numFrames[2]=1; //run
		this->_numFrames[3]=5; //ATTACK
		this->_numFrames[4]=3; //die

		this->_animation=new imgContainer[this->_maxAnimation];  
		for(int _state=0; _state<this->_numFrames[_state]; _state++)
		{
			this->_animation[_state].sprite==new SDL_Surface*[this->_numFrames[_state]];
			this->_animation[_state].isCopy=false;
		}

		//idle
		this->loadCell(2,0,CRAWLER0_IDLE0);
		//run start
		this->loadCell(1,0,CRAWLER0_RUN_START);
/*
		this->loadCell(0,0,CRAWLER0_IDLE0);
		this->loadCell(0,1,CRAWLER0_RUN_START);
		*/
		
		//run
		this->loadCell(0,0,CRAWLER0_RUN0);
		this->loadCell(0,1,CRAWLER0_RUN1);
		this->loadCell(0,2,CRAWLER0_RUN2);

		this->loadCell(3,0,CRAWLER0_ATTACK0);
		this->loadCell(3,1,CRAWLER0_ATTACK1);
		this->loadCell(3,2,CRAWLER0_ATTACK2);
		this->loadCell(3,3,CRAWLER0_ATTACK3);
		this->loadCell(3,4,CRAWLER0_ATTACK4);

		//die
		this->loadCell(4,0,CRAWLER0_DIE0);
		this->loadCell(4,1,CRAWLER0_DIE1);
		this->loadCell(4,2,CRAWLER0_DIE2);

		return true;
	}
};

#endif