#include "titlescreen.hpp"

GAME_STATE titleScreen(SDL_Surface *screen)
{
  SDL_Event event;

  display_bmp("images/PacmanFever.bmp",screen);
  SDL_Flip(screen);

  
  while (true) {
    SDL_WaitEvent(&event);

    switch (event.type) 
	{
    case SDL_KEYDOWN:
      switch(event.key.keysym.sym) {
      case SDLK_SPACE:
	return GAME_STATE_PLAY;
	break;
      case SDLK_q:
	return GAME_STATE_QUIT;
	break;
      default:
	break;
      }
      break;
    case SDL_QUIT:
      return GAME_STATE_QUIT;
    }
  }

  return GAME_STATE_QUIT;
}
GAME_STATE loseScreen(SDL_Surface *screen)
{
  SDL_Event event;

  display_bmp("images/PacmanLose.bmp",screen);
  SDL_Flip(screen);

  while (true) 
  {
		SDL_WaitEvent(&event);

		switch (event.type) 
		{
		case SDL_KEYDOWN:
			switch(event.key.keysym.sym) 
			{
			case SDLK_SPACE:
				return GAME_STATE_TITLE;
				break;
			case SDLK_q:
				return GAME_STATE_QUIT;
				break;
			default:
				break;
			}
			break;
		case SDL_QUIT:
			return GAME_STATE_QUIT;
			break;
		}
  }

  return GAME_STATE_QUIT;
}
GAME_STATE winScreen(SDL_Surface *screen)
{
  SDL_Event event;

  display_bmp("images/PacmanWon.bmp",screen);
  SDL_Flip(screen);

  while (true) {
    SDL_WaitEvent(&event);

    switch (event.type) {
    case SDL_KEYDOWN:
      switch(event.key.keysym.sym) {
      case SDLK_SPACE:
	return GAME_STATE_TITLE;
	break;
      case SDLK_q:
	return GAME_STATE_QUIT;
	break;
      default:
	break;
      }
      break;
    case SDL_QUIT:
      return GAME_STATE_QUIT;
    }
  }

  return GAME_STATE_QUIT;
}
