#ifndef __WORLD_HPP__
#define __WORLD_HPP__

#include "config.hpp"

class World{

public:
  World();
  ~World();

  void initialize();
  GAME_STATE update(GAME_STATE);
  void renderSDL(SDL_Surface *);

  bool isFree(double r, double c);
  bool eatPellet(double r, double c);

private:
  int **grid;
  int rows;			// number of rows in world
  int cols;			// number of cols in world

  int boardPellets;

  SDL_Surface *wall_sprite;
  SDL_Surface *empty_sprite;
  SDL_Surface *pellet_sprite;
};

#endif // __WORLD_HPP__
