/*
 * This should be modified by MARK HOLAK only.
 * Feel free to make any suggestions should you need a global variable
 * Please do not submit new changes to this file without speaking to MARK HOLAK first
*/

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

#include <cstdlib>
#include <ctime>
#include <cmath>
#include <iostream>
#include <vector>
#include <queue>
#include <fstream>
#include <string>
using namespace std;
#include "SDL/SDL.h"
#include "structures.h"


// WINDOW VARIABLES
int WIDTH=800;
int HEIGHT=600;
SDL_Surface *screen;

// GAME STATES
bool pause=false; // This will need to be absorbed into the 'state' variable
GAME_STATE state = GAME_STATE_TITLE; // Not really used yet, but plan on it
SDL_Event event;			// Handles special acctions detected by SDL (ex: keyboard)
int score=0;
int highscore=0;

#include "gamepiece.h"
#include "world.h"
#include "player.h"

// Temporary variable to track number of active objects
// This will eventually get changed dynamically as pieces come in and out
const int mxPiece=2;

GamePiece *gp[mxPiece];  // This will house all ENEMIES;
GamePiece *player;		// Its possible to obsorb this into a static position of the GP array
GamePiece *world;		// same constraints as PLAYER

#include "display.h"

#include "functions.h"

#endif