#ifndef _WORLD_H_
#define _WORLD_H_

class World  : public GamePiece
{
public:
	World()
	{
		this->initialize();
		this->loadAnimation();
	}
	World(coord xy)
	{
		this->initialize();
		this->loadAnimation();
		this->_pos=xy;
	}
	virtual void processKeys()
	{
		return;
	}

	virtual void display()
	{
		SDL_Rect block;
		block.x = this->_pos.x;
		block.y = this->_pos.y;
		SDL_BlitSurface(this->_animation[0].sprite[0], NULL, screen, &block);

		block.x=10;
		block.y=514;
		SDL_BlitSurface(this->_animation[1].sprite[0], NULL, screen, &block);
	}

	virtual bool loadAnimation()
	{
		this->_maxAnimation=2;
		this->_numFrames=new int[this->_maxAnimation];

		this->_numFrames[0]=1;


		this->_animation=new imgContainer[this->_maxAnimation];
		for(int _state=0; _state<this->_numFrames[_state]; _state++)
		{
			this->_animation[_state].sprite==new SDL_Surface*[this->_numFrames[_state]];
			this->_animation[_state].isCopy=false;
		}
		
		// This is hand coded but could be done automatically if the file names are indexed as well
		this->loadCell(0,0,"images/underground.bmp");
		this->loadCell(1,0,"images/bar.bmp");

		//this->_dim=dimension(this->_sprite[0][0]->w, this->_sprite[0][0]->h);
		
		//img->isCopy=false;
		return true;
	}
};

#endif